Skip to main content
GET
/
v2
/
connections
/
byAddress
Get Address Counterparties
curl --request GET \
  --url https://api.range.org/v2/connections/byAddress \
  --header 'Authorization: Bearer <token>'
{
  "nodes": [
    {
      "address": "<string>",
      "network": "<string>",
      "name": "<string>",
      "type": "<string>",
      "malicous": true,
      "tags": {},
      "is_validator": true,
      "total_payments": 123,
      "payment_counts": [
        {}
      ],
      "earliest_payment": "<string>",
      "latest_payment": "<string>",
      "last_transaction": {
        "time": "<string>",
        "amount": "<string>",
        "denom": "<string>"
      },
      "is_sender": true,
      "is_receiver": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.range.org/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer

Query Parameters

network
string
required

Network of Address

address
string
required

Address to search

size
number
default:10
Required range: 1 <= x <= 100
Example:

10

start_time
string

Start time

end_time
string

End time

Response

200 - application/json

List of addresses that the specified address has interacted with.

nodes
object[]
required
Last modified on May 15, 2026